Topic: HTML5 and frames

Hi,

I need frames for my app, however html5 doesn't support them.

Does Rails3 work only with html5? Can I use earlier versions of html?
Why I need frames...
My app looks similar to Google Reader - there is a sidebar on the left and a main area on the right where I want to load external websites. I think frames are the only solution.

Re: HTML5 and frames

If you need something like this
http://www.npscripts.com/framer/framer. … google.com
I believe it is possible without frames...

BUT if you can't find a way what about some perl scripting like this ... read the readme

http://www.npscripts.com/nav.cgi?framer/index.html

Re: HTML5 and frames

neomatrix wrote:

Does Rails3 work only with html5? Can I use earlier versions of html?

I think you didn't understand, not rails, but the whole concept of web development.
The server side application (no matter language, could be ruby, java, php, C, asm, whatever) just handle requests from client and sometimes (very often) send back informations to the client.

You can generate xml, html, pdf, xls, csv.... anything YOU WANT!!
You can serve xls when you client is requesting for html if you decide to. The server application "don't care" about it.

If you wanna serve xhtml instead html5 with rails 3, just write xhtml in your views and not html5. Change the doctype in your layout and it will be enough.

I'm sure you can even use frames in html5. w3cvalidator will ***** on your face, it's not "right" BUT i'm sure your browser will more or less interpret it correctly.

Regards

Re: HTML5 and frames

Hello,
HTML 5 is supported in the new IE9 explorer and most other major browsers however there is still differing support for various elements of HTML5 which web developers need to understand so they do not leave web surfers or clients customers with a mess of a website.

Thanks
Michael Smith
...........................
Virtual Assistant Work

Re: HTML5 and frames

hey.
HTML 5 is the extended version of HTML. and html5 is only supported in Internet Explorer 9 version. html5 is the best version for creation of frames. so that we cant use that app on this version .
thank you.